> For the complete documentation index, see [llms.txt](https://glyue.docs.sandboxbanking.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://glyue.docs.sandboxbanking.com/~/changes/sRNNcOmmdTZIw2Ha7IFP/reference/integration_configuration/web-service-endpoints.md).

# Web Service Endpoints

Configuration reference for non-default HTTP(S) integration API paths and verbs

Glyue supports building web services that execute integrations via user-defined URL paths and methods.  Among other use cases, these admin components allow for the construction of traditional RESTful web services as explained in the [Build a RESTful CRUD Web Service](/~/changes/sRNNcOmmdTZIw2Ha7IFP/how-to-guides/build-a-restful-crud-web-service.md) guide.

{% hint style="warning" %}
**IMPORTANT CAVEAT:**  Only URL paths starting with `/api/` or `/rest/` are currently possible.
{% endhint %}

## Fields

<table><thead><tr><th width="179">Name</th><th width="323">Example Value (s)</th><th>Description</th></tr></thead><tbody><tr><td>Path</td><td><code>q2/apps</code>, <code>fiserv-dna</code></td><td>Specifies the endpoint's URL path following the initial <code>/api/</code> or <code>/rest/</code> root fragment. </td></tr><tr><td>Method</td><td><code>Get</code>, <code>Post</code>, <code>Put</code>, <code>Patch</code>, <code>Delete</code></td><td>Specifies the HTTP method (sometimes called a "verb") used for calling the API.  Limited to the example values shown here.</td></tr><tr><td>Prefix</td><td><code>api</code>, <code>rest</code></td><td>Specifies the endpoint URL's root path fragment.  As stated above, all configured web service endpoints must currently be hosted at a URL path starting with either <code>/api/</code> or <code>/rest/</code>.</td></tr><tr><td>Integration</td><td><code>retrieve_q2_applications</code>, <code>create_fiserv_dna_customer</code></td><td>Integration to be executed.  Value is selected from the list of integrations currently existing in the Glyue environment.</td></tr><tr><td>Description</td><td>Retrieves applications from Q2 Gro online deposit opening system</td><td>Description of the web service endpoint.</td></tr><tr><td>Response content type</td><td><code>application/json</code>, <code>application/html</code>, <code>text/xml</code>, <code>text/html</code>, <code>application/soap+xml</code></td><td>Specifies the integration response type. </td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://glyue.docs.sandboxbanking.com/~/changes/sRNNcOmmdTZIw2Ha7IFP/reference/integration_configuration/web-service-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
